Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1164478

Summary: Review Request: nodejs-json-localizer - Utility to localize a JSON object
Product: [Fedora] Fedora Reporter: Tom Hughes <tom>
Component: Package ReviewAssignee: Parag AN(पराग) <panemade>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: package-review, panemade
Target Milestone: ---Flags: panemade: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: nodejs-json-localizer-0.0.2-1.fc21 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-12-01 19:03:22 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 956806, 1164571    

Description Tom Hughes 2014-11-15 17:19:34 UTC
Spec URL: http://download.compton.nu/nodejs/nodejs-json-localizer.spec
SRPM URL: http://download.compton.nu/nodejs/nodejs-json-localizer-0.0.2-1.fc20.src.rpm
Fedora Account System Username: tomh

Description:
Utility to localize a JSON object from another JSON object or
a simple API.

Used when you need humans to localize a JSON object from a
config file. Typical use case is for a local config file to
extend an application config on the fly.

Comment 1 Parag AN(पराग) 2014-11-20 05:37:20 UTC
Review:

+ Package built successful in mock (f22 x86_64)

+ rpmlint on generated rpms gave output
nodejs-json-localizer.noarch: W: spelling-error %description -l en_US config -> con fig, con-fig, configure
nodejs-json-localizer.noarch: W: only-non-binary-in-usr-lib
nodejs-json-localizer.src: W: spelling-error %description -l en_US config -> con fig, con-fig, configure
2 packages and 0 specfiles checked; 0 errors, 3 warnings.

+ Source verified with upstream as (sha256sum)
srpm tarball: 5430e4a3e0d99ba0da7d8e4db76aeef06dbdc8bd740e7093b5ee2f2de408072f
upstream tarball: 5430e4a3e0d99ba0da7d8e4db76aeef06dbdc8bd740e7093b5ee2f2de408072f

+ License is "WTFPL".

+ follows nodejs packaging guidelines.

Suggestions:
1) Check if upstream can add license information in either its own file or in index.js or in README.md

APPROVED.

Comment 2 Tom Hughes 2014-11-20 08:17:56 UTC
New Package SCM Request
=======================
Package Name: nodejs-json-localizer
Short Description: Utility to localize a JSON object
Upstream URL: https://github.com/yohanboniface/json-localizer
Owners: tomh
Branches: f20 f21
InitialCC: jamielinux

Comment 3 Gwyn Ciesla 2014-11-20 13:41:22 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2014-11-20 15:57:07 UTC
nodejs-json-localizer-0.0.2-1.fc21,nodejs-filelist-0.0.3-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/nodejs-json-localizer-0.0.2-1.fc21,nodejs-filelist-0.0.3-1.fc21

Comment 5 Fedora Update System 2014-11-20 15:57:08 UTC
nodejs-json-localizer-0.0.2-1.fc20,nodejs-filelist-0.0.3-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-json-localizer-0.0.2-1.fc20,nodejs-filelist-0.0.3-1.fc20

Comment 6 Fedora Update System 2014-11-22 12:43:08 UTC
nodejs-json-localizer-0.0.2-1.fc20, nodejs-filelist-0.0.3-1.fc20 has been pushed to the Fedora 20 testing repository.

Comment 7 Fedora Update System 2014-12-01 19:03:22 UTC
nodejs-json-localizer-0.0.2-1.fc20, nodejs-filelist-0.0.3-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 8 Fedora Update System 2014-12-06 10:44:50 UTC
nodejs-json-localizer-0.0.2-1.fc21, nodejs-filelist-0.0.3-1.fc21 has been pushed to the Fedora 21 stable repository.